function [elec] = read_fcdc_elec(elecfile)

% READ_FCDC_ELEC read electrode positions from various manufacturers
% file formats. Currently supported are ASA, Polhemus and Matlab.

% Copyright (C) 2005, Robert Oostenveld
%
% $Log: read_fcdc_elec.m,v $
% Revision 1.1  2005/01/17 14:52:24  roboos
% new implementation of wrapper routine for multiple electrode file formats
%

switch filetype(elecfile)
  case 'asa_elc'
    elec = read_asa_elc(elecfile);
  case 'polhemus_pos'
    elec = read_brainvision_pos(elecfile);
  case 'matlab'
    % read it from a Matlab file
    tmp = load(elecfile);
    if isfield(tmp, 'elec')
      elec = getfield(tmp, 'elec');
    elseif isfield(tmp, 'elc')
      elec = getfield(tmp, 'elc');
    else
      error('no electrodes found in Matlab file');
    end
  otherwise
    % other formats are sofar not supported
    error('unknown fileformat for electrodes');
end

% only keep positions and labels
dum  = elec;
elec = [];
elec.pnt   = dum.pnt;
elec.label = dum.label;
